Videos
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/videos'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/videos"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3578,
"results": [
{
"id": "5336d65dc3a3680e7f0012f3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "ccuuThlb5Vg",
"name": "Breaking Bad Season 5 Trailer [HQ]",
"official": false,
"published_at": "2012-06-26T20:31:08.000Z",
"site": "YouTube",
"size": 480,
"type": "Trailer"
},
{
"id": "5336d73ac3a3680e87001313",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "gAIL5SQ3QFs",
"name": "Breaking Bad Season 5 Teaser - Walt's On Top [HD]",
"official": false,
"published_at": "2012-06-26T20:29:04.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d71fc3a3680e70001244",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "I3An9mDuf7E",
"name": "Breaking Bad Season 5 Teaser - I Won [HD]",
"official": false,
"published_at": "2012-06-22T11:31:24.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d677c3a3680e8f0013d9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "bXN2skxH5qU",
"name": "Breaking Bad Season 5 Promo #1 - We Are Done [HD]",
"official": false,
"published_at": "2012-06-18T11:17:42.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d6b6c3a3680e8f0013de",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "oNPfvEseRdY",
"name": "Breaking Bad Season 5 Promo #2 - Scared [HD]",
"official": false,
"published_at": "2012-06-18T11:11:43.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d703c3a3680e70001241",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "Z-gURIpg5f4",
"name": "Breaking Bad Season 5 Teaser - The King is Dead, All Hail the King [HQ]",
"official": false,
"published_at": "2012-06-18T10:49:48.000Z",
"site": "YouTube",
"size": 480,
"type": "Trailer"
}
]
}TV Seasons
Videos
Get the videos that belong to a TV season.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
videos
Videos
Query Parameters
Example:
"en-US"
Response
200 - application/json
Videos
Example:
3578
Show child attributes
Show child attributes
Example:
[
{
"id": "5336d65dc3a3680e7f0012f3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "ccuuThlb5Vg",
"name": "Breaking Bad Season 5 Trailer [HQ]",
"official": false,
"published_at": "2012-06-26T20:31:08.000Z",
"site": "YouTube",
"size": 480,
"type": "Trailer"
},
{
"id": "5336d73ac3a3680e87001313",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "gAIL5SQ3QFs",
"name": "Breaking Bad Season 5 Teaser - Walt's On Top [HD]",
"official": false,
"published_at": "2012-06-26T20:29:04.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d71fc3a3680e70001244",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "I3An9mDuf7E",
"name": "Breaking Bad Season 5 Teaser - I Won [HD]",
"official": false,
"published_at": "2012-06-22T11:31:24.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d677c3a3680e8f0013d9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "bXN2skxH5qU",
"name": "Breaking Bad Season 5 Promo #1 - We Are Done [HD]",
"official": false,
"published_at": "2012-06-18T11:17:42.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d6b6c3a3680e8f0013de",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "oNPfvEseRdY",
"name": "Breaking Bad Season 5 Promo #2 - Scared [HD]",
"official": false,
"published_at": "2012-06-18T11:11:43.000Z",
"site": "YouTube",
"size": 480,
"type": "Teaser"
},
{
"id": "5336d703c3a3680e70001241",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "Z-gURIpg5f4",
"name": "Breaking Bad Season 5 Teaser - The King is Dead, All Hail the King [HQ]",
"official": false,
"published_at": "2012-06-18T10:49:48.000Z",
"site": "YouTube",
"size": 480,
"type": "Trailer"
}
]